# Uses of Class
org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet

Packages that use PolyhedronsSet
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of PolyhedronsSet in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return PolyhedronsSet
Modifier and Type
Method
Description
`PolyhedronsSet`
PolyhedronsSet.`buildNew(BSPTree<Euclidean3D> tree)`
Build a region using the instance as a prototype.
`PolyhedronsSet`
PolyhedronsSet.`rotate(Vector3D center, Rotation rotation)`
Rotate the region around the specified point.
`PolyhedronsSet`
PolyhedronsSet.`translate(Vector3D translation)`
Translate the region by the specified amount.
`PolyhedronsSet`
Plane.`wholeSpace()`
Build a region covering the whole space.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type PolyhedronsSet
Modifier and Type
Method
Description
`Vector2D[][]`
OutlineExtractor.`getOutline(PolyhedronsSet polyhedronsSet)`
Extract the outline of a polyhedrons set.